@import 'src/shared/styles/variables';

.title {
  color: $neutral-800;
  margin-top: $spacing-medium;
  text-align: center;
}

.search-input {
  border-radius: 5px;
  border: 1px solid $neutral-200;
  color: $neutral-800;
  display: block;
  font-size: $font-size-base;
  height: 40px;
  margin: $spacing-medium auto 0 auto;
  max-width: $sizing-md;
  outline: none;
  padding: 0 $spacing-small;
  width: calc(100% - $spacing-medium);
}

.pokelist {
  display: grid;
  grid-gap: $spacing-large;
  grid-template-columns: repeat(auto-fill, 100px);
  list-style: none;
  margin: $spacing-xxxlarge auto 0 auto;
  max-width: $sizing-md;
  place-content: center;

  & li > a {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;

    & img {
      background-color: $purple-50;
      border-radius: 50%;
      box-shadow: 0 0 $spacing-small $purple-100;
      height: 100px;
      padding: $spacing-medium;
      transition: all 0.3s ease;
      width: 100px;

      &:hover {
        background-color: $purple-200;
        box-shadow: 0 0 $spacing-medium $purple-300;
        transform: scale(1.1);
      }
    }

    & span {
      color: $neutral-700;
      font-weight: bold;
      margin-top: $spacing-small;
      text-transform: capitalize;
    }
  }
}

.pagination-buttons {
  align-items: center;
  display: flex;
  font-weight: bold;
  justify-content: center;
  margin: $spacing-xxxlarge auto $spacing-large auto;
  max-width: $sizing-md;

  &__count {
    background-color: $purple-50;
    border-radius: 50px;
    padding: $spacing-small $spacing-medium;
    color: $neutral-500;
  }
  
  & button {
    background: transparent;
    border-radius: 50%;
    color: $purple-50;
    cursor: pointer;
    display: flex;
    font-size: $font-size-xlarge;
    margin: $spacing-small $spacing-large;
    padding: $spacing-xsmall;
    transition: all 0.3s ease;

    &:hover {
      background: $purple-50;
      box-shadow: 0 0 $spacing-small $purple-100;
      color: $purple-200;
      transform: scale(1.1);
    }

    &:disabled:hover {
      background: none;
      box-shadow: none;
      color: $neutral-100;
      cursor: not-allowed;
      transform: none;
    }
  }
}


/* AnimationFrames */
@keyframes frames{
  0% {
    transform: rotate(0deg);
  }
  100%{
    transform: rotate(360deg);
  }
}